%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:          jboss-classpool
Version:       1.0.0
Release:       %mkrel 6
Summary:       JBoss ClassPool
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/jbossmc/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/jboss-classpool/tags/1.0.0.GA/ jboss-classpool-1.0.0.GA
# tar czf jboss-classpool-1.0.0.GA-src-svn.tar.gz jboss-classpool-1.0.0.GA
Source0:       jboss-classpool-1.0.0.GA-src-svn.tar.gz

# org.jboss.cl jboss-classloading 2.2.0.Alpha9
# org.jboss.kernel jboss-kernel 2.2.0.Alpha10
# org.jboss.man jboss-metatype jboss-managed 2.1.1.SP1
# org.jboss.deployers jboss-deployers-impl 2.2.0.Alpha8
# org.jboss.jbossas jboss-as-system-jmx 6.0.0.20100216-M2
# org.jboss.test jboss-test 1.1.5.GA
Patch0:        jboss-classpool-1.0.0.GA-bootstrap.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: dtdparser
BuildRequires: glassfish-jaxb-api
BuildRequires: javassist
BuildRequires: jboss-common-core
BuildRequires: jboss-logging-log4j
BuildRequires: jboss-logging-spi
BuildRequires: jboss-mdr
BuildRequires: jboss-vfs
BuildRequires: junit4
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: codehaus-parent

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      dtdparser
Requires:      glassfish-jaxb-api
Requires:      javassist
Requires:      jboss-common-core
Requires:      jboss-logging-log4j
Requires:      jboss-logging-spi
Requires:      jboss-mdr
Requires:      jboss-vfs
Requires:      xerces-j2
Requires:      xml-commons-apis

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The JBoss Microcontainer is a refactoring of JBoss's JMX Microkernel to support direct POJO deployment and
standalone use outside the JBoss application server.

This package provides JBoss ClassPool.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

sed -i "s|<groupId>sun-jaxb</groupId>|<groupId>javax.xml.bind</groupId>|" pom.xml
sed -i "s|<groupId>sun-jaxb</groupId>|<groupId>javax.xml.bind</groupId>|" jbosscl/pom.xml

%build
mkdir -p  classpool/target/test-classes
# test disabled unavailable deps
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 classpool/target/%{name}.jar %{buildroot}%{_javadir}/jboss/%{name}.jar
install -pm 644 scopedpool/target/%{name}-scoped.jar %{buildroot}%{_javadir}/jboss/%{name}-scoped.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom
install -pm 644 classpool/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar
install -pm 644 scopedpool/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-scoped.pom
%add_maven_depmap JPP.jboss-%{name}-scoped.pom jboss/%{name}-scoped.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}*.jar
%{_mavenpomdir}/JPP.jboss-%{name}*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-6.mga3
+ Revision: 354912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0.0-5.mga3
+ Revision: 342940
- Remove findbugs-maven-plugin deps

* Sat Jan 05 2013 dmorgan <dmorgan> 1.0.0-4.mga3
+ Revision: 339001
- Fix build

* Sun Jun 24 2012 dmorgan <dmorgan> 1.0.0-3.mga3
+ Revision: 263227
- Remove bootstrap switch

* Mon Feb 06 2012 dmorgan <dmorgan> 1.0.0-2.mga3
+ Revision: 205154
- Add back jboss-mdr

* Mon Feb 06 2012 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 205141
- Remove jboss-mdr ( loop dep )

  + gil <gil>
    - imported package jboss-classpool

